Bug 5204 - Unimarc xslt default templates are in french
Summary: Unimarc xslt default templates are in french
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: rel_3_2
Hardware: All All
: P5 - low major (vote)
Assignee: Chris Cormack
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-08 10:09 UTC by Zeno Tajoli
Modified: 2010-11-30 16:44 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
a zip file of all Unimarc XSLT (12.90 KB, application/octet-stream)
2010-11-11 14:22 UTC, Zeno Tajoli
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Zeno Tajoli 2010-09-08 10:09:27 UTC
Some defaults xslt files for Unimarc in the
default templates (en directory) are a mix of English and Franch sentences.

The file are:
../koha-tmpl/opac-tmpl/prog/en/xslt/UNIMARCslim2OPACDetail.xsl
../koha-tmpl/opac-tmpl/prog/en/xslt/UNIMARCslim2OPACResults.xsl 

../koha-tmpl/intranet-tmpl/prog/en/xslt/UNIMARCslim2OAIDC.xsl
../koha-tmpl/intranet-tmpl/prog/en/xslt/UNIMARCslim2intranetDetail.xsl

With this situation, I need to transalte also from French, not only from
English
Comment 1 Zeno Tajoli 2010-11-10 14:50:22 UTC
An update:

now the files with a mix of English and French are:

../koha-tmpl/opac-tmpl/prog/en/xslt/UNIMARCslim2OPACDetail.xsl
../koha-tmpl/opac-tmpl/prog/en/xslt/UNIMARCSlimUtils.xsl
../koha-tmpl/opac-tmpl/prog/en/xslt/UNIMARCslim2OPACResults.xsl

../koha-tmpl/intranet-tmpl/prog/en/xslt/UNIMARCSlim2OAIDC.xsl
../koha-tmpl/intranet-tmpl/prog/en/xslt/UNIMARCSlim2intranetDetail.xsl
../koha-tmpl/intranet-tmpl/prog/en/xslt/UNIMARCSlimUtils.xsl
Comment 2 Zeno Tajoli 2010-11-11 14:22:24 UTC
Created attachment 2738 [details]
a zip file of all Unimarc XSLT
Comment 3 Zeno Tajoli 2010-11-11 14:25:06 UTC
I attach a new version of xslt files to fix the problem.
I have done a simplex traslation fromn French to English but not in those
points:

line 85-89 of ../koha-tmpl/opac-tmpl/prog/en/xslt/UNIMARCslim2OPACResults.xsl,
my translation:

	<xsl:template name="tag_4xx">
    <xsl:for-each select="marc:datafield[@tag=464 or @tag=461]">
    	  <span class="results_summary">
        <span class="label">Linked with: </span>
        <span>

in French there is the string "Extrait de: ".
But if 461 is an upward link, 464 is a downward link.
So I use a more generic string.

The same at lines 85-89 of ../koha-tmpl/intranet-tmpl/prog/en/xslt/UNIMARCSlim2intranetDetail.xsl

I simply delete the lines 70-71 of ../koha-tmpl/intranet-tmpl/prog/en/xslt/UNIMARCSlim2OAIDC.xsl

The values 573 and 574 are not more present in Unimarc, now.

In general I use the new version of Unimarc (3rd Edition of 2008).

My mail to koha-patches is partial and in a wrong way.
It is the first time I try to use git extentions (I work on Windows).
The e-mail:
http://lists.koha-community.org/pipermail/koha-patches/2010-November/012911.html
Comment 4 Zeno Tajoli 2010-11-15 15:32:05 UTC
The patch (a new version and complete) is here:
http://lists.koha-community.org/pipermail/koha-patches/2010-November/013015.html
Comment 5 Chris Cormack 2010-11-18 00:04:44 UTC
Pushed, please test
Comment 6 Chris Nighswonger 2010-11-18 03:15:21 UTC
This bug has a patch presently committed to HEAD and 3.2.x.

Please take the appropriate action to update the status of this bug.

Remember, bugs which have been resolved should be tested and marked closed, preferably by the original reporter.
Comment 7 Chris Nighswonger 2010-11-30 13:49:23 UTC
This bug has a fix which was committed to the 3.2.x branch and released in 3.2.1.

Please take time to update the status of this bug and mark it RESOLVED FIXED so that it may be closed.
Comment 8 Chris Nighswonger 2010-11-30 16:44:41 UTC
Marking CLOSED. A fix for this bug has been committed to the current development HEAD as well as released in 3.2.1.